<?php
if (!defined('BASE_DIR')) { exit(header($_SERVER['SERVER_PROTOCOL'] . ' 404 Not Found', true)); }

$mode = isset($_GET['mode']) ? $_GET['mode'] : '404';

?>
<div class="wrapper">
<?php

switch ($mode) 
{
  case 'rules':

  $obEngine->addTitleHtml('Правила системы');      
  ?>
  <div class="menu">
   <div class="m_left" style="text-align:justify;">
    <div class="m_title">Правила системы <?php echo $obEngine->getConfig('site_name'); ?></div>
     Регистрируясь в системе <?php echo $obEngine->getConfig('site_name'); ?>, вы автоматически соглашаетесь с нижеследующими правилами.
     Администрация оставляет за собой право вносить дополнения и изменения в правила без предварительного предупреждения участников.</br></br>
     
     <b><b class="orange">1</b> Общие положения</b><br><br>
     1.1 Регистрация и участие в системе <?php echo $obEngine->getConfig('site_name'); ?> абсолютно свободны и бесплатны.<br><br>
     1.2 Ваш адрес электронной почты должен быть действующим. Администрация оставляет за собой право использовать email участников для рассылки объявлений общего характера.<br><br>
     1.3 Администрация обязуется хранить конфиденциальность информации, указанной пользователем при регистрации. <br><br>
     1.4 Запрещается иметь более одного аккаунта в системе. При обнаружении повторных регистраций и перерегистраций с целью мошенничества, удаляются все аккаунты. Удаленный аккаунт восстановлению не подлежит.<br><br>
     1.5 Запрещается использовать спам для привлечения новых участников в систему.<br><br>
     1.6 Использование любых методов для накрутки или взлома системы, является грубым нарушением правил и влечет за собой удаление аккаунта без объяснения причин.<br><br>
     1.7 За нарушение правил сервиса <?php echo $obEngine->getConfig('site_name'); ?> накладываются штрафные санкции, вплоть до удаления аккаунта.<br><br>
     1.8 Вывод денег из системы осуществляется только администрацией после проверки деятельности пользователя в течение 3 рабочих дней.<br><br>
     1.9 Администрация настоятельно рекомендует использовать сложные комбинации паролей от аккаунта, не использовать пароли от других сайтов. Вся ответственность за сохранность аккаунта возлагается на его владельца.<br><br>
				
     <b><b class="orange">2</b> Обязанности вебмастера</b><br><br>
     2.1 Вебмастер не должен добавлять в систему сайты нарушающие Российское законодательство, нормы общественной морали, содержащие ненормативную лексику, а так же материалы порнографического характера.<br><br>
     2.2 Вебмастер имеет возможность удалить рекламные материалы, размещенные на его сайте, только в том случае, если они содержат ненормативную лексику, материалы порнографического характера, нарушают Российское законодательство или нормы общественной морали. В прочих случаях средства с аккаунта вебмастера могут быть удержаны в пользу рекламодателя.<br><br>
				
     <b><b class="orange">3</b> Обязанности рекламодателя</b><br><br>
     3.1 Запрещена реклама сайтов, нарушающих Российское законодательство, нормы общественной морали, содержащих ненормативную лексику, а так же материалы порнографического характера.<br><br>
     3.2 Рекламодатель несет всю ответственность за достоверность предоставленной им информации, а также за нарушение прав третьих лиц при опубликовании информации.<br><br>
     3.3 Рекламодатель имеет право удалить размещенные рекламные материалы в следующих случаях:<br><br>
     - код витрины ссылок или баннеров отсутствует на сайте вебмастера;<br>
     - сайт, на котором были размещены рекламные материалы, недоступен или его загрузка затруднена.<br><br>
     В любых других случаях рекламодатель может удалить не более 20 одиночных сделок и двух массовых в неделю. Каждый понедельник лимиты сбрасываются.
    </div>			
    <?php include 'module/user_menu.php'; ?>
  </div>
  <?php

  break;

  case 'faq':
    
  $obEngine->addTitleHtml('Часто задаваемые вопросы');      
  ?>
  <div class="menu">
   <div class="m_left" style="text-align:justify;">
    <div class="m_title">Часто задаваемые вопросы</div>	
    <div class="q_block">
     <b class="orange">1</b><b>Что делать, если ссылка или баннер не разместились?</b>
     <p>У вас есть возможность самостоятельно отменять размещение ваших рекламамных материалов. Для этого переключитесь на вкладку "Рекламодатель", перейдите в раздел "Покупки", далее выберите "<a href="/account.php?type=linorders">Купленные ссылки</a>" или "<a href="/account.php?type=banorders">Купленные баннеры</a>", в зависимости от того, что вы покупали, а затем нашмите на кнопку <img src="/img/info.png">. Теперь вы можете отредактировать ваши рекламные материалы или удалить их. В случае удаления, денежные средства за оставшееся время размещения будут возвращены на ваш баланс.</p>
    </div>		
    <div class="q_block">
     <b class="orange">2</b><b>На какое время размещаются ссылки?</b>
     <p>При размещении новой рекламной ссылки в блоке ссылок, уже размещенные ссылки сдвигаются на одну позицию вниз, при этом, если в блоке размещено максимальное количество ссылок, самая нижняя удаляется. Таким образом, знать точное время размещения ссылки в блоке невозможно, это будет зависеть от максимального количества ссылок в блоке и интенсивности покупки новых.</p>
    </div>
    <div class="q_block">
     <b class="orange">3</b><b>Как начать зарабатывать?</b>
     <p>Прежде всего необходимо зарегистрировться. Затем следует добавить блок ссылок или баннерное место, и разместить код у себя на сайте. Вы начнете зарабатывать, как только рекламодатели купят у вас рекламные места. Так же вы можете зарабатывать на партнерской программе, приглашая новых пользователей в систему.</p>
    </div>
    <div class="q_block">
     <b class="orange">4</b><b>Как работает партнерская программа?</b>
     <p>Партнерская программа позволяет получать доход в размере <b><?php echo $obEngine->getConfig('comm_pay'); ?></b>% от суммы каждой покупки ссылки или баннера, а также пополнения баланса пользователями. Чем больше у вас активных рефералов, тем выше ваш заработок.</p>
    </div>		
    <div class="q_block">
     <b class="orange">5</b><b>Как обновить показатели площадки?</b>
     <p>Показатели площадки обновляются в автоматическом режиме.</p>
    </div>		
    <div class="q_block">
     <b class="orange">6</b><b>Когда я могу получить выплату?</b>
     <p>Выплаты производятся на указанный в профиле кошелек в течение <b>24-x</b> часов с момента подачи заявки на вывод. Минимальная сумма для снятия <b><?php echo $obEngine->getConfig('min_pay'); ?></b> рублей. При выводе средств взимается комиссия в размере <b><?php echo $obEngine->getConfig('comm_pay'); ?></b>%.</p>
    </div>		
		
    <div class="q_block">
     <b class="orange">7</b><b>Как связаться с администрацией проекта?</b>
     <p>Для связи с администрацией воспользуйтесь формой <a href="/contact.php">обратной связи</a>.</p>
    </div>						
   </div>	
   <?php include 'module/user_menu.php'; ?> 
  </div>
  <?php  
      
  break;    

  case 'mb':
  
  $obEngine->addHeadHtml('<link type="text/css" rel="StyleSheet" href="/css/slimbox2.css" />');    
  $obEngine->addHeadHtml('<script src="/js/slimbox2.js" type="text/javascript"></script>');      
  $obEngine->addTitleHtml('Руководство по массовой покупке баннеров');     
  ?>
  <div class="menu">
   <div class="m_left" style="text-align:justify;">
    <div class="content">	
     <h3><a href="advertise.php?mode=banners">Купить баннеры</a> | Массовая покупка баннеров</h3>
     <p>Массовая покупка - это специальный инструмент для рекламодателей, который позволяет быстро и удобно разместить рекламные объявления на всех площадках в нашей системе. Интерфейс разделен на две основные группы: закупка витрин ссылок и витрин баннеров. Переключение осуществляется с помощью вкладок. </p>	
     <p>Для подбора необходимых площадок рекламодатель должен настроить форму в соответствии со своими требованиями. На скриншоте представлена поисковая форма в исходном состоянии, цифрами отмечены основные моменты, описание которых расположено ниже.</p>		
     <a href="/img/info/mass3.jpg" rel="lightbox"><img src="/img/info/mass3.jpg" class="litebox"></a>	
     <p><b>1 Тематика.</b> Все площадки в нашей системе отнесены к одной из категорий в списке. Рекламодатель может выбрать одну или несколько категорий. Для множественного выбора необходимо зажать на клавиатуре клавишу «Alt» и кликнуть левой кнопкой мыши по необходимым пунктам. Если вам не важна тематика площадок или вы хотите включить в поиск все площадки системы, то выберите пункт «Все тематики», который установлен по умолчанию. Выбор категории сильно влияет на количество найденных площадок.</p>
		
		<p><b>2 Цена за неделю.</b> Стоимость размещения баннера в нашей системе не может быть меньше 1 рубля и является строго целочисленной. Стоимость указывается за недельный срок размещения и не может быть изменена в процессе размещения. Вы можете задавать границы стоимости при помощи специального слайдера с позиционными метками. Вся шкала устроена таким образом, что отображает минимум и максимум стоимости размещения баннера в системе. Как правило, площадки с низкой посещаемостью устанавливают меньшую стоимость.</p>
		
		<p><b>3 Показы.</b> Этот параметр позволяет ограничить поиск площадок по количеству просмотров страниц пользователями. Мы рекомендуем выставлять число показов таким образом, чтобы оно превышало число просмотров в 3 раза или выше.</p>
		
		<p><b>4 Посетители.</b> Данный параметр позволяет ограничить поиск площадок по количеству уникальных посетителей в сутки. Чем выше этот параметр, тем большая аудитория увидит ваше рекламное объявление.</p>
			
		<p><b>5 Яндекс тИЦ.</b> тИЦ - технология поисковой машины «Яндекс», заключающаяся в определении авторитетности интернет-ресурсов с учётом качественной характеристики — ссылок на них с других сайтов. Сайты с высоким индексом цитирования обладают более высоким доверием у поисковых систем, но этот параметр не является показателем качества трафика площадок. </p>
		
		
		<p><b>6 Google PR.</b> PageRank - это числовой параметр поисковой системы Google, характеризующий «важность» веб-страницы. Величина PR целочисленна и не может превышать 10 единиц. Как и тИЦ, этот параметр не является показателем качества трафика площадок. </p>
		
		<p><b>7 Адрес ссылки.</b> В это поле необходимо ввести адрес рекламируемого сайта, максимальная длина 255 символов. Введенная информация никак не влияет на поиск площадок.</p>
		
		<p><b>8 Адрес картинки.</b> Здесь необходимо указать прямую ссылку на изображение баннера. Разрешено использовать изображения только в формате jpg, png или gif, размер баннера не должен превышать 135кб.</p>
		
		<p><b>9 Размер баннера.</b> В нашей рекламной сети используется 16 баннерных форматов: 468x60, 1000x90, 728x90, 600x90, 300x250, 250x250, 240x400, 234x60, 200x300, 200x200, 160x600, 150x150, 125x125, 120x600, 100x100, 88x31 (размеры указаны в пикселах). Каждая баннерная площадка использует один из этих форматов, вам необходимо выбрать тот, который соответствует размерам вашего баннера. Использовать баннеры, которые не подходят ни под один из этих форматов, не рекомендуется, так как изображение будет сжатым или ратянутым.</p>
		
		<p><b>10 Срок размещения.</b> На всех баннерных площадках системы срок размещения начинается 1 недели и не может превышать 4 недель. Этот параметр в значительной мере влияет наконечную стоимость покупки, но никак не влияет на количество найденных площадок. </p>
		
		<p>После того, как все поля заполнены и выставлены параметры, вам необходимо нажать на кнопку «Найти». Ниже появится список найденных площадок. Для удобства на странице отображается по 100 записей, под списком имеется переключатель страниц. В списке выведены основные параметры каждой витрины, ее адрес и стоимость. Если срок размещения был выбран свыше 1 недели, стоимость указывается за выбранный срок. Рекламодателю доступна одиночная покупка и множественный выбор. Чтобы совершить покупку на одной ветрине, достаточно нажать на иконку корзинки и вы попадете на страницу отображения результата и выбора способа оплаты. </p>
		
		<a href="/img/info/mass4.jpg" rel="lightbox"><img src="/img/info/mass4.jpg" class="litebox"></a>
		
		<p>Для покупки на нескольких витринах необходимо отметить нужные галочками. Если вы хотите отметить сразу все витрины на странице, нажмите на общий чекбокс (цифра 1 на скриншоте). Он так же отвечает за инвертирование выбора: при клике все отмеченные галочки снимаются, а неотмеченные устанавливаются. Как только вы отметите хотябы одну галочку, внизу страницы появится полупрозрачный бар (цифра 2 на скриншоте) с информацией о количестве отмеченных позиций, общей стоимости покупки и кнопкой «Перейти к покупке». При переключении страниц все выделенные витрины сохраняются и вы в любой момент можете добавить или исключить любую витрину из списка. </p>
		
		<p>После того, как вы определились с выбором площадок, необходимо нажать на кнопку «Перейти к покупке» и выбрать способ оплаты. Все купленные баннеры будут размещены сразу же после оплаты и вы сможете отслеживать их статус в разделе «Покупки».</p>
		
		<p>Если вы зохотите изменить какие-либо параметры после поиска, все найденные витрины будут скрыты. Необходимо еще раз нажать кнопку «Найти», что позволит системе сформировать новую выдачу с учетом изменений.</p>

		</div></div>
      <?php include 'module/user_menu.php'; ?> 
  </div>
  <?php    
      
  break;

  case 'ml':
      
  ?>
  <div class="menu">
		<div class="m_left">
		<div class="content">	

		<h3><a href="advertise.php?mode=links">Купить ссылки</a> | Массовая покупка ссылок</h3>
		
		<p>Массовая покупка - это специальный инструмент для рекламодателей, который позволяет быстро и удобно разместить рекламные объявления на всех площадках в нашей системе. Интерфейс разделен на две основные группы: закупка витрин ссылок и витрин баннеров. Переключение осуществляется с помощью вкладок. </p>
		
		<p>Для подбора необходимых площадок рекламодатель должен настроить форму в соответствии со своими требованиями. На скриншоте представлена поисковая форма в исходном состоянии, цифрами отмечены основные моменты, описание которых расположено ниже.</p>
		
		<a href="/img/info/mass1.jpg" rel="lightbox"><img src="/img/info/mass1.jpg" class="litebox"></a>
		
		<p><b>1 Тематика.</b> Все площадки в нашей системе отнесены к одной из категорий в списке. Рекламодатель может выбрать одну или несколько категорий. Для множественного выбора необходимо зажать на клавиатуре клавишу «Alt» и кликнуть левой кнопкой мыши по необходимым пунктам. Если вам не важна тематика площадок или вы хотите включить в поиск все площадки системы, то выберите пункт «Все тематики», который установлен по умолчанию. Выбор категории сильно влияет на количество найденных площадок.</p>
		
		<p><b>2 Цена.</b> Стоимость размещения в нашей системе не может быть меньше 1 рубля и является строго целочисленной. Вы можете задавать границы стоимости при помощи специального слайдера с позиционными метками. Вся шкала устроена таким образом, что отображает минимум и максимум стоимости размещения ссылки в системе. Как правило, площадки с низкой посещаемостью устанавливают меньшую стоимость.</p>
		
		<p><b>3 Показы.</b> Этот параметр позволяет ограничить поиск площадок по количеству просмотров страниц пользователями. Мы рекомендуем выставлять число показов таким образом, чтобы оно превышало число просмотров в 3 раза или выше.</p>
		
		<p><b>4 Посетители.</b> Данный параметр позволяет ограничить поиск площадок по количеству уникальных посетителей в сутки. Чем выше этот параметр, тем большая аудитория увидит ваше рекламное объявление.</p>
			
		<p><b>5 Яндекс тИЦ.</b> тИЦ - технология поисковой машины «Яндекс», заключающаяся в определении авторитетности интернет-ресурсов с учётом качественной характеристики — ссылок на них с других сайтов. Сайты с высоким индексом цитирования обладают более высоким доверием у поисковых систем, но этот параметр не является показателем качества трафика площадок. </p>
		
		
		<p><b>6 Google PR.</b> PageRank - это числовой параметр поисковой системы Google, характеризующий «важность» веб-страницы. Величина PR целочисленна и не может превышать 10 единиц. Как и тИЦ, этот параметр не является показателем качества трафика площадок. </p>
		
		<p><b>7 Адрес ссылки.</b> В это поле необходимо ввести адрес рекламируемого сайта, максимальная длина 255 символов. Введенная информация никак не влияет на поиск площадок.</p>
		
		<p><b>8 Текст ссылки.</b> Информация, введенная в это поле в значительной мере влияет на количество найденных площадок. У каждой витрины в системе есть ограничение по вводимым символам в пределах одной рекламной строки. После заполнения поля система автоматически рассчитает длинну текста ссылки и будет подбирать только те витрины, где ваш текст вместится полностью. Не используйте слишком длинные фразы, рекомендуемая длинна текста ссылки от 20 до 40 символов.</p>
		
		<p><b>9 Выделение цветом.</b> Этот параметр позволяет выделить вашу ссылку в блоке одним из четырех доступных цветов: красным, зеленым, синим и оранжевым. Стоимость цветовыделения не может быть ниже 1 рубля и не превышает 25 рублей для каждой ссылки, значение так же целочисленно. Набор цветов у всех витрин разный, у некоторых из них цветовыделение может быть вовсе отключено, поэтому данный параметр влияет на число найденных площадок. Если вы хотите выделить ссылки разными цветами, выберите пункт «Случайно». Система сама определит, какие цвета доступны у каждой витрины и выберет один из них в случайном порядке. При покупке большого количества ссылок данная опция положительно влияет на успех рекламной компании.</p>
		
		<p>После того, как все поля заполнены и выставлены параметры, вам необходимо нажать на кнопку «Найти». Ниже появится список найденных площадок. Для удобства на странице отображается по 100 записей, под списком имеется переключатель страниц. В списке выведены основные параметры каждой витрины, ее адрес и стоимость. Если был выбран пункт цветовыделения, стоимость указывается с учетом стоимости выделения. Рекламодателю доступна одиночная покупка и множественный выбор. Чтобы совершить покупку на одной ветрине, достаточно нажать на иконку корзинки и вы попадете на страницу отображения результата и выбора способа оплаты. </p>
		
		<a href="/img/info/mass2.jpg" rel="lightbox"><img src="/img/info/mass2.jpg" class="litebox"></a>
		
		<p>Для покупки на нескольких витринах необходимо отметить нужные галочками. Если вы хотите отметить сразу все витрины на странице, нажмите на общий чекбокс (цифра 1 на скриншоте). Он так же отвечает за инвертирование выбора: при клике все отмеченные галочки снимаются, а неотмеченные устанавливаются. Как только вы отметите хотябы одну галочку, внизу страницы появится полупрозрачный бар (цифра 2 на скриншоте) с информацией о количестве отмеченных позиций, общей стоимости покупки и кнопкой «Перейти к покупке». При переключении страниц все выделенные витрины сохраняются и вы в любой момент можете добавить или исключить любую витрину из списка. </p>
		
		<p>После того, как вы определились с выбором площадок, необходимо нажать на кнопку «Перейти к покупке» и выбрать способ оплаты. Все купленные ссылки будут размещены сразу же после оплаты и вы сможете отслеживать их статус в разделе «Покупки».</p>
		
		<p>Если вы зохотите изменить какие-либо параметры после поиска, все найденные витрины будут скрыты. Необходимо еще раз нажать кнопку «Найти», что позволит системе сформировать новую выдачу с учетом изменений.</p>

		</div></div>
      <?php include 'module/user_menu.php'; ?> 
      </div>
  <?php    
      
  break;    

  case 'terms':
  
  $obEngine->addTitleHtml('Условия размещения рекламы'); 
      
  ?>
  <div class="menu">
		<div class="m_left" style="text-align:justify;">
		<div class="m_title">Условия размещения рекламы</div>

		
		<b>1 Требования к рекламным материалам</b><br><br>
		1.1 Запрещена реклама сайтов, нарушающих Российское законодательство, нормы общественной морали, содержащих ненормативную лексику.<br><br>
		1.2 Рекламодатель несет всю ответственность за достоверность предоставленной им информации, а также за нарушение прав третьих лиц при опубликовании информации.<br><br>
		
		<b>2 Порядок удаления рекламных материалов</b><br><br>
		2.1 По истечении оплаченного периода баннерной рекламы происходит ее автоматическое удаление.<br><br>
		2.2 При размещении новой рекламной ссылки в витрине, уже размещенные ссылки сдвигаются на одну позицию вниз, при этом, если в витрине размещено максимальное количество ссылок, самая нижняя удаляется.<br><br>
		2.3 Вебмастер имеет возможность удалить или отредактировать рекламные материалы, размещенные на его сайте, но если рекламодатель считает, что это было необоснованно, он вправе обратиться к администрации для выяснения обстоятельств.<br><br>
		
		<b>3 Разрешение спорных ситуаций</b><br><br>
		3.1 При своевременном обращении рекламодателя к администрации в случае необоснованного удаления или редактирования его рекламных материалов вебмастером, денежные средства могут быть возвращены рекламодателю.


		</div>

      </div>
      
  <?php  
      
  break;    

  default:
  
  header($_SERVER['SERVER_PROTOCOL'] . ' 404 Not Found', true);  
  echo '<h1>Страница не найдена</h1>';    
      
  break;
}

?>
</div>